#include <gtk/gtk.h>

#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include "openspc.h"
#include "spc-about.h"

void spc_about(void) {
	GtkWidget *dialog, *button, *label;

	dialog = gtk_dialog_new();
	gtk_window_set_title(GTK_WINDOW(dialog), "About OpenSPC (" OPENSPC_VERSION ") Player " VERSION);
	gtk_container_set_border_width(GTK_CONTAINER(dialog), 5);

	label = gtk_label_new(
"OpenSPC Player - Input plugin for XMMS\n"
"by Zinx Verituse <zinx@xmms.org>\n"
"Copyright (C) 2002-2003 Zinx Verituse\n"
"\n"
"This program is free software; you can redistribute it and/or modify\n"
"it under the terms of the GNU General Public License as published by\n"
"the Free Software Foundation; either version 2 of the License, or\n"
"(at your option) any later version.\n"
"\n"
"This program is distributed in the hope that it will be useful,\n"
"but WITHOUT ANY WARRANTY; without even the implied warranty of\n"
"MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the\n"
"GNU General Public License for more details.\n"
"\n"
"You should have received a copy of the GNU General Public License\n"
"along with this program; if not, write to the Free Software\n"
"Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307  USA"
"\n"
"\n"
"OpenSPC (" OPENSPC_VERSION ") is Copyright (C) FatlXception,\n"
"with portions under the GNU LGPL, and portions under\n"
"the Clarified Artistic License.\n"
);

	gtk_box_pack_start(GTK_BOX(GTK_DIALOG(dialog)->vbox), label, TRUE, TRUE, 0);

	button = gtk_button_new_with_label(" Close ");
	gtk_signal_connect_object(GTK_OBJECT(button), "clicked", GTK_SIGNAL_FUNC(gtk_widget_destroy), GTK_OBJECT(dialog));
	gtk_box_pack_start(GTK_BOX(GTK_DIALOG(dialog)->action_area), button, FALSE, FALSE, 0);

	gtk_widget_show_all(dialog);
	gtk_widget_grab_focus(button);
}

